{ pkgs, pkgsUnstable, ... }: 
{
  services.gitea = {
    enable = true;
    package = pkgsUnstable.forgejo;
    repositoryRoot = "/forgejo/repos";
    appName = "Katzenschmiede";
    rootUrl = "https://forge.katzen.cafe/";
    httpPort = 8082;
    domain = "forge.katzen.cafe";
    database = {
      type = "postgres";
    };
    settings = {
      openid = {
        ENABLE_OPENID_SIGNIN = true;
        #ENABLE_OPENID_SIGNUP = true;
      };
      federation = {
        ENABLED = true;
      };
      #server = {
        #ROOT_URL = "https://forge.katzen.cafe/";
        #HTTP_PORT = 8082;
      #};
      service = {
        REGISTER_MANUAL_CONFIRM = true;
        SHOW_REGISTRATION_BUTTON = false;
      };
    };
  };
  deployment.keys = {
    "forgejoDbPw" = {
      keyCommand = [ "cat" "/home/jade/keys-tmp/forgejo-db-pw" ];
      destDir = "/forgejo/secret/";
      permissions = "0604";
    };
  };
}
